﻿using System;
using System.Collections.Generic;
using System.Web;
using WebMatrix.Data;

namespace Bakery
{


    /// <summary>
    /// Summary description for Bakery
    /// </summary>
    public class Bakery
    {
        public Bakery()
        {
            //
            // TODO: Add constructor logic here
            //
        }
    }


    public class dbFunctions
    {
        //SET THE DATABASE NAME
        private static string DatabaseName = "bakery";

        //RETRIEVE ALL CATEGORIES
        public static IEnumerable<dynamic> RetrieveCategories()
        {
            var db = Database.Open(DatabaseName);

            return db.Query("SELECT * FROM Category");
        }

        //RETRIEVE ALL PRODUCTS
        public static IEnumerable<dynamic> RetrieveAllProducts()
        {
            var db = Database.Open(DatabaseName);

            return db.Query("SELECT * FROM Products");
        }

        //RETRIEVE ANY ITEM FROM ANY TABLE
        public static dynamic RetrieveItem(string Query, params object[] args)
        {
            var db = Database.Open(DatabaseName);

            return db.QuerySingle(Query, args);
        }

        //RETRIEVE ANY ITEMS FROM ANY TABLE
        public static IEnumerable<dynamic> RetrieveItems(string Query, params object[] args)
        {
            var db = Database.Open(DatabaseName);

            return db.Query(Query, args);
        }

        ///CREATE, UPDATE OR DELETE DATA
        public static dynamic CUD(string Query, params object[] args)
        {
            var db = Database.Open(DatabaseName);

            db.Execute(Query, args);

            return db.GetLastInsertId;
        }
    }


}